# Uses of Class
org.apache.commons.math3.stat.clustering.EuclideanDoublePoint

Packages that use EuclideanDoublePoint
Package
Description
org.apache.commons.math3.stat.clustering
All classes and sub-packages of this package are deprecated.

## Uses of EuclideanDoublePoint in org.apache.commons.math3.stat.clustering

Methods in org.apache.commons.math3.stat.clustering that return EuclideanDoublePoint
Modifier and Type
Method
Description
`EuclideanDoublePoint`
EuclideanDoublePoint.`centroidOf(Collection<EuclideanDoublePoint> points)`
Deprecated.
Returns the centroid of the given Collection of points.
Methods in org.apache.commons.math3.stat.clustering with parameters of type EuclideanDoublePoint
Modifier and Type
Method
Description
`double`
EuclideanDoublePoint.`distanceFrom(EuclideanDoublePoint p)`
Deprecated.
Returns the distance from the given point.
Method parameters in org.apache.commons.math3.stat.clustering with type arguments of type EuclideanDoublePoint
Modifier and Type
Method
Description
`EuclideanDoublePoint`
EuclideanDoublePoint.`centroidOf(Collection<EuclideanDoublePoint> points)`
Deprecated.
Returns the centroid of the given Collection of points.